<?
function fechachr($fecha) {
   $fecha = getdate(time());
   $adia = array("Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo");
   $cdia = $adia[$fecha["wday"]-1];
   $ndia = $fecha["mday"];
   $ames = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre");
   $cmes = $ames[$fecha["mon"]-1];
   $anio = $fecha["year"];
   $cfecha = "$cdia, $ndia de $cmes del $anio";
   return $cfecha;
}

function fechahoy($fecha) {
   $fecha = getdate(time());
   $adia = array("Lunes","Martes","Miercoles","Jueves","Viernes","Sabado","Domingo");
   $cdia = $adia[$fecha["wday"]-1];
   $ndia = $fecha["mday"];
   $ames = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Setiembre","Octubre","Noviembre","Diciembre");
   $cmes = $ames[$fecha["mon"]-1];
   $anio = $fecha["year"];
   $cfecha = "$cdia, $ndia de $cmes del $anio";
   return $cfecha;
}
function meshoy($fecha) {
   $fecha = getdate(time());   
   $ames = array("ENERO","FEBRERO","MARZO","ABRIL","MAYO","JUNIO","JULIO","AGOSTO","SETIEMBRE","OCTUBRE","NOVIEMBRE","DICIEMBRE");
   $cmes = $ames[$fecha["mon"]-1];   
   $cfecha = "$cmes";
   return $cfecha;
}
function getNumCeros4($nNum)
  {
    $Num="0000".$nNum;
    $PosiIni=(strlen($Num)-4);
    return substr($Num,$PosiIni,4);
  }
function getNumCero($nNum)
  {
    $Num="000000".$nNum;
    $PosiIni=(strlen($Num)-6);
    return substr($Num,$PosiIni,6);
  }  
  function extraerfechamysql($f)
  {
    $fech=substr($f,6,4)."-".substr($f,3,2)."-".substr($f,0,2);
	return $fech;
  }
  function extraerfechanormal($f)
  {
    $fech=substr($f,8,2)."-".substr($f,5,2)."-".substr($f,0,4);
	return $fech;
  } 
  function extraerDiaiFN($f)
  {
    $fech=substr($f,8,2);
	return $fech;
  } 
  function extraerMesiFN($f)
  {
    $fech=substr($f,5,2);
	return $fech;
  }
  function extraerAnioiFN($f)
  {
    $fech=substr($f,0,4);
	return $fech;
  }
  function extraerDiafFN($f)
  {
    $fech=substr($f,8,2);
	return $fech;
  } 
  function extraerMesfFN($f)
  {
    $fech=substr($f,5,2);
	return $fech;
  }
  function extraerAniofFN($f)
  {
    $fech=substr($f,0,4);
	return $fech;
  }  
  function extraermes($f)
  {
    $fech=substr($f,3,2);
	return $fech;
  }
  function extraeranio($f)
  {
    $fech=substr($f,6,4);
	return $fech;
  }
  function extracodper($c)
  {
    $codigo=substr($c,1,2);
	return $fech;
  }    
  function restaF($mesi,$diai,$anioi,$mesf,$diaf,$aniof){
	$date1 = mktime(0,0,0,$mesi,$diai,$anioi);
	$date2 = mktime(0,0,0,$mesf,$diaf,$aniof);
	$total_days = 0;
	while($date1 < $date2) { 
	$total_days++; 
	$date1 += 86400; 
	}
	return $total_days+1;
  }
  function calcular_tiempo_trasnc($hora1,$hora2){ 
    $separar[1]=explode(':',$hora1); 
    $separar[2]=explode(':',$hora2); 
	$total_minutos_trasncurridos[1] = ($separar[1][0]*60)+$separar[1][1]; 
	$total_minutos_trasncurridos[2] = ($separar[2][0]*60)+$separar[2][1]; 
	return $total_minutos_trasncurridos = round(($total_minutos_trasncurridos[1]-$total_minutos_trasncurridos[2])/60,2); 
  }  
	function extraernombredoc($archivo){
	$len= strlen($archivo);
		$nombre="";		
		for ($i=0;$i<$len;$i++)
		{
			$parte = substr($archivo,$i,1);
			if ($parte=="."){break;}
			$nombre =$nombre.$parte;
		}
		return $nombre;
	}
	function extraerextension($archivo){
	$len= strlen(trim($archivo));
		$nombre="";		
		for ($y=-1;$y>=-$len;$y--)
		{
			$parte = substr($archivo,$y,1);
			if ($parte=="."){break;}
			$nombre =$parte.$nombre;
		}
		return $nombre;
	}
	function extraercod1($file){
		$fech=substr($file,0,12);
		return $nombre;
	}
	function extraercod2($file){
		$fech=substr($file,13,8);
		return $nombre;
	}
?>
